Bug 850913 - AttributeError: _YumPreRepoConf instance has no attribute 'multi_progressbar'
AttributeError: _YumPreRepoConf instance has no attribute 'multi_progressbar'
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-08-22 13:26 EDT by Richard W.M. Jones
Modified: 2014-01-21 18:23 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-3.4.3-34.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-23 04:14:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
yumtest.py (249 bytes, text/x-python)
2012-08-22 13:26 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2012-08-22 13:26:09 EDT
Created attachment 606352 [details]

Description of problem:

yum script that previously worked now breaks with the error:

Traceback (most recent call last):
  File "<string>", line 24, in <module>
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1014, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 777, in _getSacks
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1010, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 688, in _getRepos
AttributeError: _YumPreRepoConf instance has no attribute 'multi_progressbar'

A reproducer script is attached.

Version-Release number of selected component (if applicable):

yum 3.4.3-33.fc19

How reproducible:


Steps to Reproduce:
1. Save the attached script to a file
2. Run: python yumtest.pl

Note You need to log in before you can comment on or make changes to this bug.